From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libusb/
Date: Fri, 30 Aug 2019 08:14:19 +0000 (UTC) [thread overview]
Message-ID: <1567152854.d01e05bcc99d08ad11dd01c66b2b912434d6a0d3.polynomial-c@gentoo> (raw)
commit: d01e05bcc99d08ad11dd01c66b2b912434d6a0d3
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 30 08:00:03 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Aug 30 08:14:14 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d01e05bc
dev-libs/libusb: Bump to version 1.0.23
Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
dev-libs/libusb/Manifest | 1 +
dev-libs/libusb/libusb-1.0.23.ebuild | 67 ++++++++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/dev-libs/libusb/Manifest b/dev-libs/libusb/Manifest
index d4b6054f7af..e3eef8d1174 100644
--- a/dev-libs/libusb/Manifest
+++ b/dev-libs/libusb/Manifest
@@ -1,3 +1,4 @@
DIST libusb-1.0.19.tar.bz2 521496 BLAKE2B 9f38dcb8f053019511dc2eed93772183c5487917794abd2839e981924bf05e39aba5cee4fb9a366b78e4d265fb16a921fb64c9a083323993ce21543d37073720 SHA512 f42f0187bfec16ebabad64efef7a7651ee85dcf2af1b7cbe543b7de615f9c6432f7eea5fcc6b23335591dcad287c905eb9bd56199cc5d3b47435027ad678f2c1
DIST libusb-1.0.21.tar.bz2 607417 BLAKE2B c76352a19f416ad27b8940e99f38878e248cdbc04ef97752f8c8468ab0391869ab611197e3e143d69e0e23563da59f1691c14fce72958fdf28ebf10dd8c1521b SHA512 015ca07bdb559aa40af5db1302ab0b1c8a30d593699fe2f3c9f45162673dc7b608cecc58d60fde8f3bde2a68370794a045e8efa48fc55402eece11261e525762
DIST libusb-1.0.22.tar.bz2 598833 BLAKE2B 38d01c1dd1837434c24008151a27cdfb2b2e9aab30fe95e4403bad613a0147a13b9b029814e15520bcfc2c181b00e3c5cc1ffdc3a586a604190bf441d3c89318 SHA512 2a93ba48bb66b9775838c16d74f7269348d9bc163f94ccf2842d1108d95a41cf79f8c8065233bea410fb94261a462dbb08ecfa1a9b6d3ddf4a5980e6043f74f4
+DIST libusb-1.0.23.tar.bz2 602860 BLAKE2B 4eaf8cce0047b85c3057c67b53769739c50a39c4d34e94659b030fb11f02309f9217e93d35d78f699c55256346cf8b14827c8ddf495caeeacc522c51f473abc2 SHA512 73430ad31dd405e76a9c6c55086961003989c44964e2735b5076f9ca849e3f6fe71d10a66b74b111f0c34a0d2cb744b9ca105863c552123fce4ec0bbdd2ec15b
diff --git a/dev-libs/libusb/libusb-1.0.23.ebuild b/dev-libs/libusb/libusb-1.0.23.ebuild
new file mode 100644
index 00000000000..542edcff870
--- /dev/null
+++ b/dev-libs/libusb/libusb-1.0.23.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs multilib-minimal usr-ldscript
+
+DESCRIPTION="Userspace access to USB devices"
+HOMEPAGE="https://libusb.info/ https://github.com/libusb/libusb"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug doc examples static-libs test udev"
+
+RDEPEND="udev? ( >=virtual/libudev-208:=[${MULTILIB_USEDEP},static-libs?] )"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ !udev? ( virtual/os-headers )"
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ $(use_enable udev)
+ $(use_enable debug debug-log)
+ $(use_enable test tests-build)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ emake
+
+ if multilib_is_native_abi; then
+ use doc && emake -C doc docs
+ fi
+}
+
+multilib_src_test() {
+ emake check
+
+ # noinst_PROGRAMS from tests/Makefile.am
+ tests/stress || die
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+
+ if multilib_is_native_abi; then
+ gen_usr_ldscript -a usb-1.0
+
+ use doc && dodoc -r doc/html
+ fi
+}
+
+multilib_src_install_all() {
+ find "${ED}" -type f -name "*.la" -delete || die
+
+ dodoc AUTHORS ChangeLog NEWS PORTING README TODO
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.{c,h}
+ insinto /usr/share/doc/${PF}/examples/getopt
+ doins examples/getopt/*.{c,h}
+ fi
+}
next reply other threads:[~2019-08-30 8:14 UTC|newest]
Thread overview: 72+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-08-30 8:14 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-19 23:50 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libusb/ Sam James
2025-03-19 23:50 Sam James
2024-05-16 15:05 Arthur Zamarin
2024-05-16 15:05 Arthur Zamarin
2024-05-16 15:05 Arthur Zamarin
2024-05-16 15:05 Arthur Zamarin
2024-04-29 8:48 Arthur Zamarin
2024-04-29 8:17 Arthur Zamarin
2024-04-29 8:17 Arthur Zamarin
2024-02-07 19:20 Sam James
2024-02-07 19:20 Sam James
2024-02-02 2:24 Sam James
2022-06-02 7:31 Jakov Smolić
2022-06-02 5:03 Jakov Smolić
2022-06-02 4:30 Jakov Smolić
2022-06-02 4:06 Jakov Smolić
2022-06-02 3:57 Jakov Smolić
2022-06-02 2:21 Sam James
2022-06-02 2:21 Sam James
2022-06-02 2:03 Sam James
2022-05-04 7:07 WANG Xuerui
2022-04-11 23:22 Sam James
2022-02-01 3:34 Sam James
2021-11-17 22:15 Mike Gilbert
2021-09-07 17:37 Mike Gilbert
2021-04-27 22:10 Sam James
2021-04-27 18:09 Sam James
2021-04-26 20:54 Sergei Trofimovich
2021-04-26 19:24 Sam James
2021-04-26 19:11 Sam James
2021-04-26 19:11 Sam James
2020-12-12 13:41 Lars Wendler
2020-12-11 9:38 Lars Wendler
2020-12-11 8:18 Lars Wendler
2020-12-11 7:49 Lars Wendler
2020-12-11 7:49 Lars Wendler
2020-11-18 22:01 Sergei Trofimovich
2020-11-17 19:17 Agostino Sarubbo
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 18:55 Agostino Sarubbo
2020-11-15 5:46 Sam James
2020-11-14 21:15 Sam James
2020-11-14 21:15 Sam James
2020-10-19 16:53 Mike Gilbert
2020-03-23 1:36 Jonas Stein
2019-10-27 15:31 Michał Górny
2018-10-17 13:26 Mikle Kolyada
2018-09-08 4:59 Matt Turner
2018-06-02 0:57 Aaron Bauman
2018-05-27 9:09 Mikle Kolyada
2018-05-06 13:20 Mart Raudsepp
2018-04-06 11:16 Lars Wendler
2018-03-25 6:55 Tim Harder
2018-03-14 21:41 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-01-28 18:23 Tobias Klausmann
2018-01-09 22:26 Sergei Trofimovich
2018-01-09 13:32 Mikle Kolyada
2017-12-28 13:34 Sergei Trofimovich
2017-12-21 19:28 Markus Meier
2017-12-18 16:40 Jason Zaman
2017-08-23 10:37 Tim Harder
2017-08-23 10:37 Tim Harder
2016-12-08 6:06 Mike Frysinger
2016-10-26 22:44 Tim Harder
2016-08-21 21:51 Tim Harder
2016-08-21 21:48 Tim Harder
2016-02-04 4:28 Mike Gilbert
2016-02-04 4:19 Mike Gilbert
2016-02-03 17:33 Richard Farina
2016-02-03 17:33 Richard Farina
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1567152854.d01e05bcc99d08ad11dd01c66b2b912434d6a0d3.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox